extends ./../template.pug

block stylesheets

block content
    .mt-4.container
        h1 Edition de l’utilisateur  
        - url = "/admin/edit/" + id + "/?name=" + name + "&firstname=" + firstname + "&email=" + email + "&role=" + role + "&section=" + section
        form(action= url, method="post")
            .form-group
                label(for="selectSection") Nom
                input(class="form-control" type="text" name="name" placeholder="Nom" value= name)
                if errors.name
                    .alert.alert-danger.mt-2 #{errors.name.msg}
            .form-group
                label(for="selectSection") Prénom
                input(class="form-control" type="text" name="firstname" placeholder="Prénom" value= firstname)
                if errors.firstname
                    .alert.alert-danger.mt-2 #{errors.firstname.msg}
            .form-group
                label(for="selectSection") Email
                input(class="form-control" type="text", name="email" placeholder="Email" value= email)
                if errors.email
                    .alert.alert-danger.mt-2 #{errors.email.msg}
            .form-group
                label(for="selectSection") Role
                select(class="form-control" id="selectRole" name="selectRole")
                        each value in roleDAO
                            if role == value.id
                                option(value=value.id selected="selected") #{value.nom}
                            else
                                option(value=value.id) #{value.nom}
            .form-group
                label(for="selectShop") Rayon
                select(class="form-control" id="selectSection" name="selectSection")
                      
                        each value in sectionDAO
                            if section == value.id
                                option(value=value.id selected="selected") #{value.nom} 
                            else
                                option(value=value.id) #{value.nom} 
                        if section == "null"
                                option(value="NULL" selected="selected") Pas de rayon
                        else
                                option(value="NULL") Pas de rayon    
            button(type="submit" class="btn btn-block btn-success") Editer
        form(action="/admin/delete/" + id, method="post").mt-2
            button(type="submit" class="btn btn-block btn-danger") Supprimer